aboutsummaryrefslogtreecommitdiffstats
path: root/main/ncurses/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-12-17 13:14:32 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-12-17 13:14:32 +0000
commit419a0b2cf8f304056ff7c6d45c3f5f25de46b95d (patch)
treef46ff21d8835f01d09dd81610ce4e3466890fd86 /main/ncurses/APKBUILD
parent79709acef4ee56c3ada786f9d25caa4e5594c024 (diff)
downloadaports-419a0b2cf8f304056ff7c6d45c3f5f25de46b95d.tar.gz
aports-419a0b2cf8f304056ff7c6d45c3f5f25de46b95d.tar.bz2
aports-419a0b2cf8f304056ff7c6d45c3f5f25de46b95d.tar.xz
main/ncurses: only build widechar libs
the non-widechar headers are broken so packages gets corrupt. We only support the widechars now.
Diffstat (limited to 'main/ncurses/APKBUILD')
-rw-r--r--main/ncurses/APKBUILD54
1 files changed, 16 insertions, 38 deletions
diff --git a/main/ncurses/APKBUILD b/main/ncurses/APKBUILD
index ee007f8b0b..26e6eb05ed 100644
--- a/main/ncurses/APKBUILD
+++ b/main/ncurses/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ncurses
pkgver=6.0
-pkgrel=2
+pkgrel=3
pkgdesc="Console display library"
url="http://www.gnu.org/software/ncurses/"
arch="all"
@@ -10,8 +10,7 @@ depends=
source="http://ftp.gnu.org/pub/gnu/ncurses/ncurses-${pkgver}.tar.gz
"
subpackages="$pkgname-dev $pkgname-doc $pkgname-terminfo-base:base
- $pkgname-terminfo $pkgname-widec-libs:widec $pkgname-libs
- $pkgname-dbg $pkgname-libs-dbg $pkgname-widec-libs-dbg"
+ $pkgname-terminfo $pkgname-libs"
_builddir="$srcdir"/ncurses-$pkgver
prepare() {
@@ -24,42 +23,28 @@ prepare() {
}
build() {
- local _confopts="
- --build=$CBUILD
- --host=$CHOST
- --mandir=/usr/share/man
- --without-ada
- --disable-termcap
- --disable-rpath-hack
- --without-cxx-binding
- --with-terminfo-dirs="/etc/terminfo:/usr/share/terminfo"
- --enable-pc-files \
- --with-shared"
cd "$_builddir"
- mkdir ncurses-build ncursesw-build
- cd ncurses-build
- ../configure $_confopts \
- || return 1
- make libs || return 1
- make -C progs || return 1
-
- cd ../ncursesw-build
- ../configure $_confopts \
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --mandir=/usr/share/man \
+ --without-ada \
+ --disable-termcap \
+ --disable-rpath-hack \
+ --with-pkg-config-libdir=/usr/lib/pkgconfig \
+ --without-cxx-binding \
+ --with-terminfo-dirs="/etc/terminfo:/usr/share/terminfo" \
+ --enable-pc-files \
+ --with-shared \
--enable-widec \
- --without-progs \
|| return 1
- make libs || return 1
- cd ..
+ make || return 1
}
package() {
cd "$_builddir"
- make -j1 -C ncurses-build DESTDIR="$pkgdir" install.libs \
- install.progs install.data || return 1
-
- make -j1 -C ncursesw-build DESTDIR="$pkgdir" install.libs \
- install.includes install.man || return 1
+ make -j1 DESTDIR="$pkgdir" install || return 1
# Install basic terms in /etc/terminfo
for i in ansi console dumb linux rxvt screen sun vt52 vt100 vt102 \
@@ -83,13 +68,6 @@ terminfo() {
mv $pkgdir/usr/share/terminfo $subpkgdir/usr/share
}
-widec() {
- pkgdesc="Ncurses wide character libraries"
- depends="$pkgname-terminfo-base"
- mkdir -p "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/lib*w.so.* "$subpkgdir"/usr/lib/
-}
-
libs() {
pkgdesc="Ncurses libraries"
depends="$pkgname-terminfo-base"